V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX 提问指南
Richard14
V2EX  ›  问与答

初学深度学习,必须要安装 conda 环境吗, pip 环境不能管理吗?

  •  
  •   Richard14 · 52 天前 · 159 次点击
    这是一个创建于 52 天前的主题,其中的信息可能已经有所发展或是发生改变。

    初学深度学习,百度了一下选择了 pytorch 这个框架,但是所有的安装教学,包括官网教学,都是基于 conda 安装的。

    问题是我这边已经有一套 python 用的用来做 web 开发的由 pip 管理的环境,单独项目用 venv 隔离,工作状况非常良好,引入 conda 之后我担心会产生两套环境的冲突。

    安装 pytorch 一定要 conda 吗,似乎并不需要什么依赖,只需要安装 cuda+显卡驱动,再安装 python 包就可以了,这些可否手动安装?

    Procumbens
        1
    Procumbens   52 天前
    https://pytorch.org/get-started/locally/

    Conda 旁边不就是 Pip……
    Richard14
        2
    Richard14   52 天前
    @Procumbens 沉了吧,是我瞎了
    viiii
        3
    viiii   52 天前
    使用时间长了, 反而感觉用服务器更方便, 兼容性, 版本啥的不折腾, 训练多少小时也不妨碍摸鱼玩游戏
    关于   ·   帮助文档   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3302 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 27ms · UTC 09:55 · PVG 17:55 · LAX 02:55 · JFK 05:55
    ♥ Do have faith in what you're doing.